---
title: web-share
slug: Web/HTTP/Headers/Feature-Policy/web-share
tags:
  - Feature-Policy
  - HTTP
  - Web Share
---
<p>{{HTTPSidebar}} {{SeeCompatTable}}</p>

<p>The HTTP {{HTTPHeader('Feature-Policy')}} header <code>web-share</code> directive c<span>ontrols whether the current document is allowed to use the {{domxref("Navigator.share","Navigator.share()")}} method of the Web Share API to share text, links, images, and other content to arbitrary destinations of the user's choice.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate">Feature-Policy: web-share &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page('Web/HTTP/Feature_Policy/Using_Feature_Policy', 'allowlist')}}</dd>
</dl>

<h2 id="Default_policy">Default policy</h2>

<p>The default value is <code>'self'</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Feature Policy')}}</td>
   <td>{{Spec2('Feature Policy')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('Web Share API','#permissions-policy','')}}</td>
   <td>{{Spec2('Web Share API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat('http.headers.Feature-Policy.web-share')}}</p>

<p>Browser implementation is being discussed in <a href="https://github.com/w3c/web-share/issues/169">https://github.com/w3c/web-share/issues/169</a>.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader('Feature-Policy')}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
</ul>
